View Issue Details

IDProjectCategoryView StatusLast Update
0005226SOGoWeb Mailpublic2021-02-25 13:47
Reporterrof Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version5.0.1 
Fixed in Version5.0.2 
Summary0005226: Search is automatically reduced if automatic refresh is activated
Description

We have activated the automatic refresh for e-mails. If I now search for a term using the quick search, all hits are displayed first. But when the refresh is done, the number of hits is sometimes reduced to less. If I change the search term, all hits are displayed again. If I deactivate the automatic refresh or use the global search, all hits are always displayed.

Steps To Reproduce

1.) Activate the automatic refresh in the settings to e.g. 1 minute
2.) Search for a term using the magnifying glass above a selected e-mail folder (e.g. for "subject or sender")
3.) All hits are displayed
4.) Wait until automatic refresh occurs
5.) In our system only the "sender" part is displayed

Additional Information

In the test system I couldn't reproduce it yet, but here an adequate amount of hits is missing.

TagsNo tags attached.

Activities

francis

francis

2021-01-18 16:53

administrator   ~0015051

I can't reproduce this issue.

rof

rof

2021-02-03 04:54

reporter   ~0015070

I also thought at first I can't reproduce it, but had set the refresh time too high:
Logged in on https://demo.sogo.nu/ as "sogo3". There were two emails from "Wolfgang Fritz" in the Inbox. I typed "Fritz" in the search box and got the two results. I then waited for the refresh, with the result that the list cleared and "No message" was displayed.

francis

francis

2021-02-19 15:38

administrator   ~0015094

Using your browser's developer tools, can you inspect the XHR query performed when refreshing the mailbox? You could also check the response and make sure that the headers key contains all the expected messages.

rof

rof

2021-02-23 11:06

reporter   ~0015098

I logged in to https://demo.sogo.nu as sogo3 and set the refresh time to 2min. Here are the requests and responses:

date: Tue, 23 Feb 2021 15:44:25 GMT
request: {"sortingAttributes":{"sort":"arrival","asc":0,"match":"OR"},"filters":[{"searchBy":"subject","searchInput":"Fritz"},{"searchBy":"from","searchInput":"Fritz"}]}
response: {"unseenCount": 2, "threaded": 0, "uids": [2, 1], "headers": [["To", "hasAttachment", "isFlagged", "Subject", "From", "isRead", "Priority", "RelativeDate", "Size", "Flags", "uid", "isAnswered", "isForwarded"], [[{"name": "Wolfgang Fritz", "email": "sogo3@sogo-demo.inverse.ca"}], 0, 0, "\"Persönlicher Kalender\" wurde erstellt", [{"name": "Wolfgang Fritz", "email": "sogo3@sogo-demo.inverse.ca"}], 0, {"level": 3, "name": "Normal"}, "14:27", "2.1 KiB", [], 1, 0, 0], [[{"name": "Wolfgang Fritz", "email": "sogo3@sogo-demo.inverse.ca"}], 0, 0, "\"Persönliches Adressbuch\" wurde erstellt", [{"name": "Wolfgang Fritz", "email": "sogo3@sogo-demo.inverse.ca"}], 0, {"level": 3, "name": "Normal"}, "14:28", "2.1 KiB", [], 2, 0, 0]]}

date: Tue, 23 Feb 2021 15:46:18 GMT
request: {"sortingAttributes":{"sort":"arrival","asc":0,"noHeaders":0,"dry":1},"filters":[{"searchBy":"flags","searchInput":"unseen"}]}
response: {"unseenCount": 1, "threaded": 0, "uids": [1], "headers": [["To", "hasAttachment", "isFlagged", "Subject", "From", "isRead", "Priority", "RelativeDate", "Size", "Flags", "uid", "isAnswered", "isForwarded"], [[{"name": "Wolfgang Fritz", "email": "sogo3@sogo-demo.inverse.ca"}], 0, 0, "\"Persönlicher Kalender\" wurde erstellt", [{"name": "Wolfgang Fritz", "email": "sogo3@sogo-demo.inverse.ca"}], 0, {"level": 3, "name": "Normal"}, "14:27", "2.1 KiB", [], 1, 0, 0]]}

date: Tue, 23 Feb 2021 15:46:25 GMT
request: {"sortingAttributes":{"sort":"arrival","asc":0,"match":"OR"},"filters":[{"searchBy":"subject","searchInput":"Fritz"}]}
response: {"unseenCount": 1, "threaded": 0, "uids": [], "headers": [["To", "hasAttachment", "isFlagged", "Subject", "From", "isRead", "Priority", "RelativeDate", "Size", "Flags", "uid", "isAnswered", "isForwarded"]]}

It is noticeable that a (faulty) update occurs before the actual response.
Hope it helps?!

Related Changesets

sogo: master f9a8d849

2021-02-25 13:37:37

francis

Details Diff
fix(mail(js)): don't modify filters for automatic refresh

Fixes 0005226
Affected Issues
0005226
mod - UI/WebServerResources/js/Mailer/Mailbox.service.js Diff File

Issue History

Date Modified Username Field Change
2020-11-26 04:54 rof New Issue
2021-01-18 16:53 francis Note Added: 0015051
2021-02-03 04:54 rof Note Added: 0015070
2021-02-19 15:38 francis Note Added: 0015094
2021-02-23 11:06 rof Note Added: 0015098
2021-02-25 13:47 francis Changeset attached => sogo master f9a8d849
2021-02-25 13:47 francis Assigned To => francis
2021-02-25 13:47 francis Resolution open => fixed
2021-02-25 13:47 francis Status new => resolved
2021-02-25 13:47 francis Fixed in Version => 5.0.2